Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.swing
Class ExceptionPane.ExceptionPaneReporterListener

    java.lang.Object
      org.crosswire.common.swing.ExceptionPane.ExceptionPaneReporterListener

All Implemented Interfaces:
  EventListener, org.crosswire.common.util.ReporterListener

Enclosing class:
  ExceptionPane

    static final class ExceptionPane.ExceptionPaneReporterListener

extends Object
implements org.crosswire.common.util.ReporterListener

The ExceptionPane instance that we add to the Log

Constructor Summary
`ExceptionPane.ExceptionPaneReporterListener()`

Method Summary
`void` | `reportException(org.crosswire.common.util.ReporterEvent ev)` Called whenever Reporter.informUser() is passed an Exception
`void` | `reportMessage(org.crosswire.common.util.ReporterEvent ev)` Called whenever Reporter.informUser() is passed a message

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionPane.ExceptionPaneReporterListener

    ExceptionPane.ExceptionPaneReporterListener()

Method Detail

### reportException

    public void reportException(org.crosswire.common.util.ReporterEvent ev)

  Called whenever Reporter.informUser() is passed an Exception

  Specified by:
    `reportException` in interface `org.crosswire.common.util.ReporterListener`
  Parameters:
    `ev` - The event describing the Exception

### reportMessage

    public void reportMessage(org.crosswire.common.util.ReporterEvent ev)

  Called whenever Reporter.informUser() is passed a message

  Specified by:
    `reportMessage` in interface `org.crosswire.common.util.ReporterListener`
  Parameters:
    `ev` - The event describing the message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD